Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class RenameCalendar

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.RenameCalendar

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class RenameCalendar

extends java.lang.Object
implements OSAction<VoidResult>

Changes the name, and/or namespace, of a Calendar. The change will not succeed if another Calendar already exists with the new name and namespace combination. The request must include a version number that will be compared against the value held by the identified Calendar entry. If the values don't match, the request will fail with a "concurrency exception".

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`RenameCalendar(int version, java.lang.String oldName, java.lang.String oldNamespace, java.lang.String newName, java.lang.String newNamespace)` Constructor.

Method Summary
`java.lang.String` | `getNewName()` Gets new name.
`java.lang.String` | `getNewNamespace()` gets new namespace.
`java.lang.String` | `getOldName()` Gets old name.
`java.lang.String` | `getOldNamespace()` Gets old name space.
`int` | `getVersion()` Gets the version.
`void` | `setNewName(java.lang.String newName)` Sets new name.
`void` | `setNewNamespace(java.lang.String newNamespace)` Sets new namespace.
`void` | `setOldName(java.lang.String oldName)` Sets old name.
`void` | `setOldNamespace(java.lang.String oldNamespace)` Sets old name space.
`void` | `setVersion(int version)` Sets version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameCalendar

    public RenameCalendar(int version,
                          java.lang.String oldName,
                          java.lang.String oldNamespace,
                          java.lang.String newName,
                          java.lang.String newNamespace)

  Constructor.

  Parameters:
    `version` -
    `oldName` -
    `oldNamespace` -
    `newName` -
    `newNamespace` -

Method Detail

### getVersion

    public int getVersion()

  Gets the version.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(int version)

  Sets version.

  Parameters:
    `version` - The version to set.

### getOldName

    public java.lang.String getOldName()

  Gets old name.

  Returns:
    Returns the oldName.

### setOldName

    public void setOldName(java.lang.String oldName)

  Sets old name.

  Parameters:
    `oldName` - The oldName to set.

### getOldNamespace

    public java.lang.String getOldNamespace()

  Gets old name space.

  Returns:
    Returns the oldNamespace.

### setOldNamespace

    public void setOldNamespace(java.lang.String oldNamespace)

  Sets old name space.

  Parameters:
    `oldNamespace` - The oldNamespace to set.

### getNewName

    public java.lang.String getNewName()

  Gets new name.

  Returns:
    Returns the newName.

### setNewName

    public void setNewName(java.lang.String newName)

  Sets new name.

  Parameters:
    `newName` - The newName to set.

### getNewNamespace

    public java.lang.String getNewNamespace()

  gets new namespace.

  Returns:
    Returns the newNamespace.

### setNewNamespace

    public void setNewNamespace(java.lang.String newNamespace)

  Sets new namespace.

  Parameters:
    `newNamespace` - The newNamespace to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.